// create by shupeng

#import "FlutterAdsBannerView.h"
#import <NOVAdKit/NOVAAdManager.h>

@interface FlutterAdsBannerView ()

@end

@implementation FlutterAdsBannerView{
    //FlutterIosTextLabel 创建后的标识
    int64_t _viewId;
    //消息回调
    FlutterBasicMessageChannel *_channel;
}

- (instancetype)initWithWithFrame:(CGRect)frame viewIdentifier:(int64_t)viewId arguments:(id)args binaryMessenger:(NSObject<FlutterBinaryMessenger> *)messenger{
    if ([super init]) {
        _viewId = viewId;
        // 注册通道
        NSString* channelName = @"plugins.nova.ads.event/bannerview";
        _channel = [FlutterBasicMessageChannel messageChannelWithName:channelName binaryMessenger:messenger codec:[FlutterStringCodec sharedInstance]];
    }
    return self;
}

- (nonnull UIView *)view {
    UIViewController *rootVC = [[[UIApplication sharedApplication] keyWindow] rootViewController];
    UIView *view = [[NOVAAdManager shared] getBannerAdWithRootViewController:rootVC];
    return view;
}
@end
