package com.nova.flutter_ads;

import android.content.Context;
import android.view.View;
import android.view.ViewGroup;
import android.widget.FrameLayout;
import android.widget.LinearLayout;

import com.ark.adkit.basics.data.ADMetaData;
import com.ark.adkit.polymers.polymer.ADTool;

import io.flutter.app.FlutterActivity;
import io.flutter.plugin.common.BinaryMessenger;
import io.flutter.plugin.platform.PlatformView;

public class FlutterAdsNativeView implements PlatformView {


    private final FrameLayout rootView;

    public FlutterAdsNativeView(FlutterActivity activity, Context context, BinaryMessenger messenger, int i) {
        rootView = new FrameLayout(context);
        FrameLayout.LayoutParams layoutParams =
                new FrameLayout.LayoutParams(ViewGroup.LayoutParams.MATCH_PARENT, ViewGroup.LayoutParams.WRAP_CONTENT);
        rootView.setLayoutParams(layoutParams);
        LinearLayout flAd = new LinearLayout(context);
        rootView.addView(flAd);
        ADTool.getADTool().getManager().getNativeWrapper().loadNativeView(activity, flAd);
    }

    @Override
    public View getView() {
        return rootView;
    }

    @Override
    public void dispose() {

    }
}
