import 'dart:io';

import 'package:flutter/material.dart';
import 'package:flutter/services.dart';
import 'package:flutter_ads/flutter_ads.dart';
import 'package:flutter_ads/ads_bannerview.dart';
import 'package:flutter_ads/ads_nativeview.dart';

class HomePage extends StatefulWidget {
  @override
  _HomePageState createState() => _HomePageState();
}

class _HomePageState extends State<HomePage> {
  var test = "加载激励视频广告";
  var test1 = "加载插屏视频广告";
  var test2 = "加载插屏视频广告Direct";
  var test3 = "加载激励视频广告Direct";


  @override
  void initState() {
    // TODO: implement initState
    super.initState();
  }

  @override
  Widget build(BuildContext context) {
    return Scaffold(
        appBar: AppBar(
          title: const Text('Plugin example app'),
        ),
        body: Container(
          child: Column(
            children: <Widget>[
              RaisedButton(
                onPressed: () {
                  Navigator.of(context).pushNamed("/splash");
                },
                child: Text("开屏广告"),
              ),
              RaisedButton(
                onPressed: () {
                  Navigator.of(context).pushNamed("/nativeads");
                },
                child: Text("普通广告"),
              ),
              RaisedButton(
                onPressed: () {
                  print("testReward");
                  FlutterAds.initRewardVideo(callback: (value) {
                    print("广告结果$value");
                    test = "广告结果1$value";
                    setState(() {});
                  });
                },
                child: Text(test),
              ),
              RaisedButton(
                onPressed: () {
                  print("testInsert");
                  FlutterAds.initInsertVideo(callback: (value) {
                    print("广告结果$value");
                    test1 = "广告结果1$value";
                    setState(() {});
                  });
                },
                child: Text(test1),
              ),

              RaisedButton(
                onPressed: () {
                  print("testRewardDirect");
                  FlutterAds.initRewardVideoDirect(callback: (value) {
                    print("广告结果$value");
                    test3 = "广告结果1$value";
                    setState(() {});
                  });
                },
                child: Text(test3),
              ),
              RaisedButton(
                onPressed: () {
                  print("testInsertDirect");
                  FlutterAds.initInsertVideoDirect(callback: (value) {
                    print("广告结果$value");
                    test2 = "广告结果1$value";
                    setState(() {});
                  });
                },
                child: Text(test2),
              ),
              Expanded(
                flex: 1,
                child: Container(),
              ),
              AdsNativeView(),
            ],
          ),
        ));
  }
}
