import 'package:flutter/material.dart';
import 'package:flutter_ads/ads_splashview.dart';
import 'dart:io';
import 'package:flutter_ads/flutter_ads.dart';

class SplashPage extends StatefulWidget {
  @override
  _SplashPageState createState() => _SplashPageState();
}

class _SplashPageState extends State<SplashPage> {


  @override
  void initState() {
    // TODO: implement initState
    super.initState();
    FlutterAds.setConfig(nativeWidth: 200);
  }
  @override
  Widget build(BuildContext context) {
    return Scaffold(
      body: SplashWidget()
    );
  }
}

class SplashWidget extends StatelessWidget {

  @override
  Widget build(BuildContext context) {
    AdsSplashView adsSplashView;
    if(Platform.isAndroid){
      adsSplashView = AdsSplashView(
        adsTick: (int) {
          print(int);
        },
        asdIsFinish: () {
          Navigator.of(context).pop();
        },
      );
    }else if(Platform.isIOS){
      adsSplashView = AdsSplashView(
        adsTick: (int) {
          print(int);
        },
        asdIsFinish: () {
          Navigator.of(context).pop();
        },
      );
    }
    return RepaintBoundary(
      child: Container(
        margin: EdgeInsets.only(top: 30),
        child: adsSplashView,
      ),
    );
  }
}
